; compiler          : jal 00.04-50
; date              : 01-Jun-2003 14:38:40
; main source       : main_10
; command line      : -od -s\jal0450\lib main_10.jal 
; target  chip      : 16c84
;         cpu       : pic 14
;         clock     : 4000000
; input   files     : 11
;         lines     : 2183
;         chars     : 55153
; compilation nodes : 13518
;             stack : 29Kb
;              heap : 4492Kb
;           seconds : 2.033 (1073 lines/second)
; output       code :  293
;              page :    0 (0.0%)
;              bank :    0 (0.0%)
;         page+bank :    0 (0.0%)
;              file :   33
;              stack:    1 (1,0,0)

 errorlevel -306
 list p=PIC16c84

_CP_OFF    equ H'3FF0' ;code protect on
_CP_ON     equ H'3FE0' ;code protect off
_PWRTE_ON  equ H'0008' ;Power on timer on
_PWRTE_OFF equ H'0000' ;Power on timer off
_WDT_OFF   equ H'0000' ;watch dog timer off
_WDT_ON    equ H'0004' ;watch dog timer on
_RC_OSC    equ H'0003' ;RC oscillator
_HS_OSC    equ H'0002' ;HS crystal oscillator
_XT_OSC    equ H'0001' ;XT crystal oscillator
_LP_OSC    equ H'0000' ;LP crystal oscillator

 __CONFIG _CP_OFF + _PWRTE_ON + _WDT_OFF + _XT_OSC 

 ORG 0000
  goto    __main
 ORG 0004
 ORG 0004
__interrupt: ; 0004
__main: ; 0004
; var H'00C:000'  transfer_bit
; var H'00C:000'  transfer_byte

;; 042 : var volatile byte port_a       at  5
; var H'005:000' port_a

;; 088 : var volatile bit  pin_a2 at port_a : 2
; var H'005:002' pin_a2

;; 276 : var byte trisa
; var H'00D:000' trisa

;; 277 : var byte trisb
; var H'00E:000' trisb

;; 284 : trisa = all_input
  movlw   H'FF'
  movwf   H'0D'

;; 286 :    trisb = all_input
  movlw   H'FF'
  movwf   H'0E'

;; 580 : var byte _port_a_buffer
; var H'00F:000' _port_a_buffer

;; 581 : var byte _port_b_buffer
; var H'010:000' _port_b_buffer

;; 024 : port_b_direction = all_output
  movlw   H'00'
  call    _2930__vector

;; 025 : pin_a0_direction = output
  bcf     H'0D',0
  call    _3134__vector

;; 026 : pin_a1_direction = output
  bcf     H'0D',1
  call    _3163__vector

;; 027 : pin_a2_direction = input
  bsf     H'0D',2
  call    _3192__vector

;; 029 : var byte accumulator
; var H'011:000' accumulator

;; 031 : forever loop
w_11995_ag: ; 0010

;; 033 : 	if pin_a2 then
  btfss   H'05',2
  goto    if_11694_el
if_11694_th: ; 0012

;; 034 : 		accumulator = accumulator + 2
  movlw   H'02'
  addwf   H'11',f
  goto    if_11694_by
if_11694_el: ; 0015

;; 036 : 		accumulator = accumulator - 1
  movlw   H'01'
  subwf   H'11',w
  movwf   H'11'
if_11694_by: ; 0018

;; 039 : 	if accumulator > 100 then
  movf    H'11',w
  sublw   H'64'
  btfsc   H'03',0
  goto    if_11715_by
if_11715_th: ; 001C

;; 040 : 		accumulator = 100
  movlw   H'64'
  movwf   H'11'
if_11715_by: ; 001E

;; 042 : 	if accumulator <= 1 then
  movf    H'11',w
  sublw   H'01'
  btfss   H'03',0
  goto    if_11729_by
if_11729_th: ; 0022

;; 043 : 		accumulator = 1
  movlw   H'01'
  movwf   H'11'
if_11729_by: ; 0024
; var H'012:000' sqx_temp_11749
; var H'013:000' sq_temp_11745

;; 046 : 	if (accumulator / 10) >= 1 then
  movf    H'11',w
  movwf   H'26'
  movlw   H'0A'
  movwf   H'27'
  call    _639__vector
  movf    H'28',w
  movwf   H'13'
  movf    H'13',w
  movwf   H'12'
  movlw   H'01'
  subwf   H'12',w
  btfss   H'03',0
  goto    if_11743_el
if_11743_th: ; 0031

;; 047 : 		pin_b0 = off
  bcf     H'10',0
  call    _6084__vector
  goto    if_11743_by
if_11743_el: ; 0034

;; 049 : 		pin_b0 = on
  bsf     H'10',0
  call    _6084__vector
if_11743_by: ; 0036

;; 051 : 	if (pin_a2) then
  btfss   H'05',2
  goto    if_11766_by
if_11766_th: ; 0038

;; 052 : 		pin_b0 = off
  bcf     H'10',0
  call    _6084__vector
if_11766_by: ; 003A
; var H'014:000' sqx_temp_11781
; var H'015:000' sq_temp_11777

;; 055 : 	if (accumulator / 20) >= 1 then
  movf    H'11',w
  movwf   H'26'
  movlw   H'14'
  movwf   H'27'
  call    _639__vector
  movf    H'28',w
  movwf   H'15'
  movf    H'15',w
  movwf   H'14'
  movlw   H'01'
  subwf   H'14',w
  btfss   H'03',0
  goto    if_11775_el
if_11775_th: ; 0047

;; 056 : 		pin_b1 = off
  bcf     H'10',1
  call    _6113__vector
  goto    if_11775_by
if_11775_el: ; 004A

;; 058 : 		pin_b1 = on
  bsf     H'10',1
  call    _6113__vector
if_11775_by: ; 004C
; var H'016:000' sqx_temp_11804
; var H'017:000' sq_temp_11800

;; 061 : 	if (accumulator / 30) >= 1 then
  movf    H'11',w
  movwf   H'26'
  movlw   H'1E'
  movwf   H'27'
  call    _639__vector
  movf    H'28',w
  movwf   H'17'
  movf    H'17',w
  movwf   H'16'
  movlw   H'01'
  subwf   H'16',w
  btfss   H'03',0
  goto    if_11798_el
if_11798_th: ; 0059

;; 062 : 		pin_b2 = off
  bcf     H'10',2
  call    _6142__vector
  goto    if_11798_by
if_11798_el: ; 005C

;; 064 : 		pin_b2 = on
  bsf     H'10',2
  call    _6142__vector
if_11798_by: ; 005E
; var H'018:000' sqx_temp_11827
; var H'019:000' sq_temp_11823

;; 067 : 	if (accumulator / 40) >= 1 then
  movf    H'11',w
  movwf   H'26'
  movlw   H'28'
  movwf   H'27'
  call    _639__vector
  movf    H'28',w
  movwf   H'19'
  movf    H'19',w
  movwf   H'18'
  movlw   H'01'
  subwf   H'18',w
  btfss   H'03',0
  goto    if_11821_el
if_11821_th: ; 006B

;; 068 : 		pin_b3 = off
  bcf     H'10',3
  call    _6171__vector
  goto    if_11821_by
if_11821_el: ; 006E

;; 070 : 		pin_b3 = on
  bsf     H'10',3
  call    _6171__vector
if_11821_by: ; 0070
; var H'01A:000' sqx_temp_11850
; var H'01B:000' sq_temp_11846

;; 073 : 	if (accumulator / 50) >= 1 then
  movf    H'11',w
  movwf   H'26'
  movlw   H'32'
  movwf   H'27'
  call    _639__vector
  movf    H'28',w
  movwf   H'1B'
  movf    H'1B',w
  movwf   H'1A'
  movlw   H'01'
  subwf   H'1A',w
  btfss   H'03',0
  goto    if_11844_el
if_11844_th: ; 007D

;; 074 : 		pin_b4 = off
  bcf     H'10',4
  call    _6200__vector
  goto    if_11844_by
if_11844_el: ; 0080

;; 076 : 		pin_b4 = on
  bsf     H'10',4
  call    _6200__vector
if_11844_by: ; 0082
; var H'01C:000' sqx_temp_11873
; var H'01D:000' sq_temp_11869

;; 079 : 	if (accumulator / 60) >= 1 then
  movf    H'11',w
  movwf   H'26'
  movlw   H'3C'
  movwf   H'27'
  call    _639__vector
  movf    H'28',w
  movwf   H'1D'
  movf    H'1D',w
  movwf   H'1C'
  movlw   H'01'
  subwf   H'1C',w
  btfss   H'03',0
  goto    if_11867_el
if_11867_th: ; 008F

;; 080 : 		pin_b5 = off
  bcf     H'10',5
  call    _6229__vector
  goto    if_11867_by
if_11867_el: ; 0092

;; 082 : 		pin_b5 = on
  bsf     H'10',5
  call    _6229__vector
if_11867_by: ; 0094
; var H'01E:000' sqx_temp_11896
; var H'01F:000' sq_temp_11892

;; 085 : 	if (accumulator / 70) >= 1 then
  movf    H'11',w
  movwf   H'26'
  movlw   H'46'
  movwf   H'27'
  call    _639__vector
  movf    H'28',w
  movwf   H'1F'
  movf    H'1F',w
  movwf   H'1E'
  movlw   H'01'
  subwf   H'1E',w
  btfss   H'03',0
  goto    if_11890_el
if_11890_th: ; 00A1

;; 086 : 		pin_b6 = off
  bcf     H'10',6
  call    _6258__vector
  goto    if_11890_by
if_11890_el: ; 00A4

;; 088 : 		pin_b6 = on
  bsf     H'10',6
  call    _6258__vector
if_11890_by: ; 00A6
; var H'020:000' sqx_temp_11919
; var H'021:000' sq_temp_11915

;; 091 : 	if (accumulator / 80) >= 1 then
  movf    H'11',w
  movwf   H'26'
  movlw   H'50'
  movwf   H'27'
  call    _639__vector
  movf    H'28',w
  movwf   H'21'
  movf    H'21',w
  movwf   H'20'
  movlw   H'01'
  subwf   H'20',w
  btfss   H'03',0
  goto    if_11913_el
if_11913_th: ; 00B3

;; 092 : 		pin_b7 = off
  bcf     H'10',7
  call    _6287__vector
  goto    if_11913_by
if_11913_el: ; 00B6

;; 094 : 		pin_b7 = on
  bsf     H'10',7
  call    _6287__vector
if_11913_by: ; 00B8
; var H'022:000' sqx_temp_11942
; var H'023:000' sq_temp_11938

;; 097 : 	if (accumulator / 90) >= 1 then
  movf    H'11',w
  movwf   H'26'
  movlw   H'5A'
  movwf   H'27'
  call    _639__vector
  movf    H'28',w
  movwf   H'23'
  movf    H'23',w
  movwf   H'22'
  movlw   H'01'
  subwf   H'22',w
  btfss   H'03',0
  goto    if_11936_el
if_11936_th: ; 00C5

;; 098 : 		pin_a0 = off
  bcf     H'0F',0
  call    _5910__vector
  goto    if_11936_by
if_11936_el: ; 00C8

;; 100 : 		pin_a0 = on
  bsf     H'0F',0
  call    _5910__vector
if_11936_by: ; 00CA
; var H'024:000' sqx_temp_11965
; var H'025:000' sq_temp_11961

;; 103 : 	if (accumulator / 100) >= 1 then
  movf    H'11',w
  movwf   H'26'
  movlw   H'64'
  movwf   H'27'
  call    _639__vector
  movf    H'28',w
  movwf   H'25'
  movf    H'25',w
  movwf   H'24'
  movlw   H'01'
  subwf   H'24',w
  btfss   H'03',0
  goto    if_11959_el
if_11959_th: ; 00D7

;; 104 : 		pin_a1 = off
  bcf     H'0F',1
  call    _5939__vector
  goto    if_11959_by
if_11959_el: ; 00DA

;; 106 : 		pin_a1 = on
  bsf     H'0F',1
  call    _5939__vector
if_11959_by: ; 00DC

;; 109 : 	delay_10ms( 1 )
  movlw   H'01'
  call    _9619__vector
  goto    w_11995_ag

;; 003 :   idle_loop: page goto idle_loop
as_11998_idle_loop: ; 00DF
  goto    as_11998_idle_loop
_9619__vector: ; 00E0

;; 447 : procedure delay_10ms( byte in x = 1 ) is
; var H'026:000' x
p_9619_delay_10ms: ; 00E0
  movwf   H'26'

;; 448 :    _delay_100us( x, 100, 1 )
  movf    H'26',w
  movwf   H'27'
  movlw   H'64'
  movwf   H'28'
  movlw   H'01'
  goto    _8966__vector
e_9619_delay_10ms: ; 00E7
_8966__vector: ; 00E7

;; 283 : procedure _delay_100us( byte in x, byte in y, byte in z ) is
; var H'027:000' x
; var H'028:000' y
; var H'029:000' z
p_8966__delay_100us: ; 00E7
  movwf   H'29'

;; 337 :       var byte minus_one = -1
; var H'02A:000' minus_one
  movlw   H'FFFFFFFF'
  movwf   H'2A'

;; 339 :       var byte xx, yy
; var H'02B:000' xx
; var H'02C:000' yy

;; 343 :          local loop_x, loop_y, loop_z, loop_w
; const H'0EF' loop_w

;; 346 :       loop_z:
as_9159_loop_z: ; 00EA

;; 349 :          movfw y
  movf    H'28',w

;; 350 :          movwf yy
  movwf   H'2C'

;; 351 :       loop_y:
as_9156_loop_y: ; 00EC

;; 354 :          movfw x
  movf    H'27',w

;; 355 :          movwf xx
  movwf   H'2B'

;; 356 :       loop_x:
as_9153_loop_x: ; 00EE

;; 358 :          movlw inner_iterations
  movlw   H'17'

;; 360 :       loop_w:
as_9162_loop_w: ; 00EF

;; 361 :          addwf minus_one, w
  addwf   H'2A',w

;; 362 :          skpnc
  skpnc   

;; 363 :             goto loop_w
  goto    as_9162_loop_w

;; 366 :          decfsz xx, f
  decfsz  H'2B',f

;; 367 :          goto loop_x
  goto    as_9153_loop_x

;; 370 :          decfsz yy, f
  decfsz  H'2C',f

;; 371 :          goto loop_y
  goto    as_9156_loop_y

;; 374 :          decfsz z, f
  decfsz  H'29',f

;; 375 :          goto loop_z
  goto    as_9159_loop_z
e_8966__delay_100us: ; 00F8
  return  

;; 722 : procedure pin_b7'put( bit in x at _port_b_buffer : 7 ) is
p_6287__pin_b7__put_t: ; 00F9
_6287__vector: ; 00F9
; var H'010:007' x
p_6287_put: ; 00F9

;; 723 :    _port_b_flush
  goto    _5079__vector
e_6287_put: ; 00FA

;; 719 : procedure pin_b6'put( bit in x at _port_b_buffer : 6 ) is
p_6258__pin_b6__put_t: ; 00FA
_6258__vector: ; 00FA
; var H'010:006' x
p_6258_put: ; 00FA

;; 720 :    _port_b_flush
  goto    _5079__vector
e_6258_put: ; 00FB

;; 716 : procedure pin_b5'put( bit in x at _port_b_buffer : 5 ) is
p_6229__pin_b5__put_t: ; 00FB
_6229__vector: ; 00FB
; var H'010:005' x
p_6229_put: ; 00FB

;; 717 :    _port_b_flush
  goto    _5079__vector
e_6229_put: ; 00FC

;; 713 : procedure pin_b4'put( bit in x at _port_b_buffer : 4 ) is
p_6200__pin_b4__put_t: ; 00FC
_6200__vector: ; 00FC
; var H'010:004' x
p_6200_put: ; 00FC

;; 714 :    _port_b_flush
  goto    _5079__vector
e_6200_put: ; 00FD

;; 710 : procedure pin_b3'put( bit in x at _port_b_buffer : 3 ) is
p_6171__pin_b3__put_t: ; 00FD
_6171__vector: ; 00FD
; var H'010:003' x
p_6171_put: ; 00FD

;; 711 :   _port_b_flush
  goto    _5079__vector
e_6171_put: ; 00FE

;; 707 : procedure pin_b2'put( bit in x at _port_b_buffer : 2 ) is
p_6142__pin_b2__put_t: ; 00FE
_6142__vector: ; 00FE
; var H'010:002' x
p_6142_put: ; 00FE

;; 708 :    _port_b_flush
  goto    _5079__vector
e_6142_put: ; 00FF

;; 704 : procedure pin_b1'put( bit in x at _port_b_buffer : 1 ) is
p_6113__pin_b1__put_t: ; 00FF
_6113__vector: ; 00FF
; var H'010:001' x
p_6113_put: ; 00FF

;; 705 :    _port_b_flush
  goto    _5079__vector
e_6113_put: ; 0100

;; 701 : procedure pin_b0'put( bit in x at _port_b_buffer : 0 ) is
p_6084__pin_b0__put_t: ; 0100
_6084__vector: ; 0100
; var H'010:000' x
p_6084_put: ; 0100

;; 702 :    _port_b_flush
  goto    _5079__vector
e_6084_put: ; 0101

;; 685 : procedure pin_a1'put( bit in x at _port_a_buffer : 1 ) is
p_5939__pin_a1__put_t: ; 0101
_5939__vector: ; 0101
; var H'00F:001' x
p_5939_put: ; 0101

;; 686 :    _port_a_flush
  goto    _5056__vector
e_5939_put: ; 0102

;; 682 : procedure pin_a0'put( bit in x at _port_a_buffer : 0 ) is
p_5910__pin_a0__put_t: ; 0102
_5910__vector: ; 0102
; var H'00F:000' x
p_5910_put: ; 0102

;; 683 :    _port_a_flush
  goto    _5056__vector
e_5910_put: ; 0103
_5079__vector: ; 0103
p_5079__port_b_flush: ; 0103

;; 590 :    var volatile byte port_b at 6 = _port_b_buffer
; var H'006:000' port_b
  movf    H'10',w
  movwf   H'06'
e_5079__port_b_flush: ; 0105
  return  
_5056__vector: ; 0106
p_5056__port_a_flush: ; 0106

;; 587 :    var volatile byte port_a at 5 = _port_a_buffer
; var H'005:000' port_a
  movf    H'0F',w
  movwf   H'05'
e_5056__port_a_flush: ; 0108
  return  

;; 370 : procedure pin_a2_direction'put( bit in d at trisa : 2 ) is
p_3192__pin_a2_direction__put_t: ; 0109
_3192__vector: ; 0109
; var H'00D:002' d
p_3192_put: ; 0109

;; 371 :    _trisa_flush
  goto    _2764__vector
e_3192_put: ; 010A

;; 367 : procedure pin_a1_direction'put( bit in d at trisa : 1 ) is
p_3163__pin_a1_direction__put_t: ; 010A
_3163__vector: ; 010A
; var H'00D:001' d
p_3163_put: ; 010A

;; 368 :    _trisa_flush
  goto    _2764__vector
e_3163_put: ; 010B

;; 364 : procedure pin_a0_direction'put( bit in d at trisa : 0 ) is
p_3134__pin_a0_direction__put_t: ; 010B
_3134__vector: ; 010B
; var H'00D:000' d
p_3134_put: ; 010B

;; 365 :    _trisa_flush
  goto    _2764__vector
e_3134_put: ; 010C

;; 337 : procedure port_b_direction'put( byte in x at trisb ) is
p_2930__port_b_direction__put_t: ; 010C
_2930__vector: ; 010C
; var H'00E:000' x
p_2930_put: ; 010C
  movwf   H'0E'

;; 338 :    _trisb_flush
  goto    _2785__vector
e_2930_put: ; 010E
_2785__vector: ; 010E
p_2785__trisb_flush: ; 010E

;; 305 :       bank movfw trisb
  movf    H'0E',w

;; 306 :            tris  6
  tris    H'06'
e_2785__trisb_flush: ; 0110
  return  
_2764__vector: ; 0111
p_2764__trisa_flush: ; 0111

;; 298 :       bank movfw trisa
  movf    H'0D',w

;; 299 :            tris  5
  tris    H'05'
e_2764__trisa_flush: ; 0113
  return  
_639__vector: ; 0114

;; 067 : operator / ( byte in a, byte in b ) return byte is
; var H'026:000' a
; var H'027:000' b
p_639_divide: ; 0114
; var H'028:000'  return value

;; 068 :    var byte d = 0
; var H'029:000' d
  clrf    H'29'

;; 069 :    if b != 0 then
  movf    H'27',f
  btfsc   H'03',2
  goto    if_663_by
if_663_th: ; 0118

;; 070 :       while a >= b loop
w_688_ag: ; 0118
  movf    H'27',w
  subwf   H'26',w
  btfss   H'03',0
w_688_jb: ; 011B
  goto    w_688_be
w_688_bo: ; 011C

;; 071 :          a = a - b
  movf    H'27',w
  subwf   H'26',w
  movwf   H'26'

;; 072 :          d = d + 1
  incf    H'29',f
  goto    w_688_ag
w_688_be: ; 0121
if_663_by: ; 0121

;; 075 :    return d
  movf    H'29',w
  movwf   H'28'
e_639_divide: ; 0123
  return  

 END

; ********** variable mapping
; 05:0 : ;
;   port_a                         * 0587:22 \jal0450\lib\jpic.jal 
;   port_a                         * 0042:19 \jal0450\lib\jpic.jal 
; 05:2 : ;
;   pin_a2                         * 0088:19 \jal0450\lib\jpic.jal 
; 06:0 : ;
;   port_b                         * 0590:22 \jal0450\lib\jpic.jal 
; 0C:0 : ;
;    transfer_byte                   
;    transfer_bit                    
; 0D:0 : ;
;   d                              * 0364:33 \jal0450\lib\jpic.jal 
;   trisa                            0276:10 \jal0450\lib\jpic.jal 
; 0D:1 : ;
;   d                              * 0367:33 \jal0450\lib\jpic.jal 
; 0D:2 : ;
;   d                              * 0370:33 \jal0450\lib\jpic.jal 
; 0E:0 : ;
;   x                              * 0337:33 \jal0450\lib\jpic.jal 
;   trisb                            0277:10 \jal0450\lib\jpic.jal 
; 0F:0 : ;
;   x                              * 0682:23 \jal0450\lib\jpic.jal 
;   _port_a_buffer                   0580:10 \jal0450\lib\jpic.jal 
; 0F:1 : ;
;   x                              * 0685:23 \jal0450\lib\jpic.jal 
; 10:0 : ;
;   x                              * 0701:23 \jal0450\lib\jpic.jal 
;   _port_b_buffer                   0581:10 \jal0450\lib\jpic.jal 
; 10:1 : ;
;   x                              * 0704:23 \jal0450\lib\jpic.jal 
; 10:2 : ;
;   x                              * 0707:23 \jal0450\lib\jpic.jal 
; 10:3 : ;
;   x                              * 0710:23 \jal0450\lib\jpic.jal 
; 10:4 : ;
;   x                              * 0713:23 \jal0450\lib\jpic.jal 
; 10:5 : ;
;   x                              * 0716:23 \jal0450\lib\jpic.jal 
; 10:6 : ;
;   x                              * 0719:23 \jal0450\lib\jpic.jal 
; 10:7 : ;
;   x                              * 0722:23 \jal0450\lib\jpic.jal 
; 11:0 : ;
;   accumulator                      0029:10 main_10.jal 
; 12:0 : ;
;   sqx_temp_11749                   
; 13:0 : ;
;   sq_temp_11745                    
; 14:0 : ;
;   sqx_temp_11781                   
; 15:0 : ;
;   sq_temp_11777                    
; 16:0 : ;
;   sqx_temp_11804                   
; 17:0 : ;
;   sq_temp_11800                    
; 18:0 : ;
;   sqx_temp_11827                   
; 19:0 : ;
;   sq_temp_11823                    
; 1A:0 : ;
;   sqx_temp_11850                   
; 1B:0 : ;
;   sq_temp_11846                    
; 1C:0 : ;
;   sqx_temp_11873                   
; 1D:0 : ;
;   sq_temp_11869                    
; 1E:0 : ;
;   sqx_temp_11896                   
; 1F:0 : ;
;   sq_temp_11892                    
; 20:0 : ;
;   sqx_temp_11919                   
; 21:0 : ;
;   sq_temp_11915                    
; 22:0 : ;
;   sqx_temp_11942                   
; 23:0 : ;
;   sq_temp_11938                    
; 24:0 : ;
;   sqx_temp_11965                   
; 25:0 : ;
;   sq_temp_11961                    
; 26:0 : ;
;   a                                0067:14 jal rtl 
;   x                                0447:23 \jal0450\lib\jdelay.jal 
; 27:0 : ;
;   b                                0067:25 jal rtl 
;   x                                0283:25 \jal0450\lib\jdelay.jal 
; 28:0 : ;
;    return value                    0067:10 jal rtl 
;   y                                0283:36 \jal0450\lib\jdelay.jal 
; 29:0 : ;
;   d                                0068:13 jal rtl 
;   z                                0283:47 \jal0450\lib\jdelay.jal 
; 2A:0 : ;
;   minus_one                        0337:16 \jal0450\lib\jdelay.jal 
; 2B:0 : ;
;   xx                               0339:16 \jal0450\lib\jdelay.jal 
; 2C:0 : ;
;   yy                               0339:20 \jal0450\lib\jdelay.jal 

