; compiler          : jal 00.04-50
; date              : 01-Jun-2003 14:47:57
; main source       : main
; command line      : -od -s\jal0450\lib main.jal 
; target  chip      : 16c84
;         cpu       : pic 14
;         clock     : 4000000
; input   files     : 11
;         lines     : 2190
;         chars     : 55556
; compilation nodes : 13618
;             stack : 29Kb
;              heap : 4524Kb
;           seconds : 2.033 (1077 lines/second)
; output       code :  295
;              page :    0 (0.0%)
;              bank :    0 (0.0%)
;         page+bank :    0 (0.0%)
;              file :   33
;              stack:    1 (1,0,0)

 errorlevel -306
 list p=PIC16c84

_CP_OFF    equ H'3FF0' ;code protect on
_CP_ON     equ H'3FE0' ;code protect off
_PWRTE_ON  equ H'0008' ;Power on timer on
_PWRTE_OFF equ H'0000' ;Power on timer off
_WDT_OFF   equ H'0000' ;watch dog timer off
_WDT_ON    equ H'0004' ;watch dog timer on
_RC_OSC    equ H'0003' ;RC oscillator
_HS_OSC    equ H'0002' ;HS crystal oscillator
_XT_OSC    equ H'0001' ;XT crystal oscillator
_LP_OSC    equ H'0000' ;LP crystal oscillator

 __CONFIG _CP_OFF + _PWRTE_ON + _WDT_OFF + _XT_OSC 

 ORG 0000
  goto    __main
 ORG 0004
 ORG 0004
__interrupt: ; 0004
__main: ; 0004
; var H'00C:000'  transfer_bit
; var H'00C:000'  transfer_byte

;; 042 : var volatile byte port_a       at  5
; var H'005:000' port_a

;; 088 : var volatile bit  pin_a2 at port_a : 2
; var H'005:002' pin_a2

;; 276 : var byte trisa
; var H'00D:000' trisa

;; 277 : var byte trisb
; var H'00E:000' trisb

;; 284 : trisa = all_input
  movlw   H'FF'
  movwf   H'0D'

;; 286 :    trisb = all_input
  movlw   H'FF'
  movwf   H'0E'

;; 580 : var byte _port_a_buffer
; var H'00F:000' _port_a_buffer

;; 581 : var byte _port_b_buffer
; var H'010:000' _port_b_buffer

;; 024 : port_b_direction = all_output
  movlw   H'00'
  call    _2930__vector

;; 025 : pin_a0_direction = output
  bcf     H'0D',0
  call    _3134__vector

;; 026 : pin_a1_direction = output
  bcf     H'0D',1
  call    _3163__vector

;; 027 : pin_a2_direction = input
  bsf     H'0D',2
  call    _3192__vector

;; 031 : var byte accumulator = maxcounter
; var H'011:000' accumulator
  movlw   H'C8'
  movwf   H'11'

;; 038 : forever loop
w_12062_ag: ; 0012

;; 040 : 	if pin_a2 then
  btfss   H'05',2
  goto    if_11738_el
if_11738_th: ; 0014

;; 041 : 		accumulator = accumulator + increment
  movlw   H'04'
  addwf   H'11',f
  goto    if_11738_by
if_11738_el: ; 0017

;; 043 : 		accumulator = accumulator - decrement
  movlw   H'02'
  subwf   H'11',w
  movwf   H'11'
if_11738_by: ; 001A

;; 046 : 	if (accumulator > maxcounter) then
  movf    H'11',w
  sublw   H'C8'
  btfsc   H'03',0
  goto    if_11757_by
if_11757_th: ; 001E

;; 047 : 		accumulator = maxcounter
  movlw   H'C8'
  movwf   H'11'
if_11757_by: ; 0020

;; 049 : 	if accumulator < decrement then
  movlw   H'02'
  subwf   H'11',w
  btfsc   H'03',0
  goto    if_11769_by
if_11769_th: ; 0024

;; 050 : 		accumulator = decrement
  movlw   H'02'
  movwf   H'11'
if_11769_by: ; 0026
; var H'012:000' sqx_temp_11790
; var H'013:000' sq_temp_11783

;; 053 : 	if (accumulator / (onetenth * 1)) >= 1 then
  movf    H'11',w
  movwf   H'26'
  movlw   H'14'
  movwf   H'27'
  call    _639__vector
  movf    H'28',w
  movwf   H'13'
  movf    H'13',w
  movwf   H'12'
  movlw   H'01'
  subwf   H'12',w
  btfss   H'03',0
  goto    if_11781_el
if_11781_th: ; 0033

;; 054 : 		pin_b0 = off
  bcf     H'10',0
  call    _6084__vector
  goto    if_11781_by
if_11781_el: ; 0036

;; 056 : 		pin_b0 = on
  bsf     H'10',0
  call    _6084__vector
if_11781_by: ; 0038

;; 058 : 	if (pin_a2) then
  btfss   H'05',2
  goto    if_11807_by
if_11807_th: ; 003A

;; 059 : 		pin_b0 = off
  bcf     H'10',0
  call    _6084__vector
if_11807_by: ; 003C
; var H'014:000' sqx_temp_11825
; var H'015:000' sq_temp_11818

;; 062 : 	if (accumulator / (onetenth * 2)) >= 1 then
  movf    H'11',w
  movwf   H'26'
  movlw   H'28'
  movwf   H'27'
  call    _639__vector
  movf    H'28',w
  movwf   H'15'
  movf    H'15',w
  movwf   H'14'
  movlw   H'01'
  subwf   H'14',w
  btfss   H'03',0
  goto    if_11816_el
if_11816_th: ; 0049

;; 063 : 		pin_b1 = off
  bcf     H'10',1
  call    _6113__vector
  goto    if_11816_by
if_11816_el: ; 004C

;; 065 : 		pin_b1 = on
  bsf     H'10',1
  call    _6113__vector
if_11816_by: ; 004E
; var H'016:000' sqx_temp_11851
; var H'017:000' sq_temp_11844

;; 068 : 	if (accumulator / (onetenth * 3)) >= 1 then
  movf    H'11',w
  movwf   H'26'
  movlw   H'3C'
  movwf   H'27'
  call    _639__vector
  movf    H'28',w
  movwf   H'17'
  movf    H'17',w
  movwf   H'16'
  movlw   H'01'
  subwf   H'16',w
  btfss   H'03',0
  goto    if_11842_el
if_11842_th: ; 005B

;; 069 : 		pin_b2 = off
  bcf     H'10',2
  call    _6142__vector
  goto    if_11842_by
if_11842_el: ; 005E

;; 071 : 		pin_b2 = on
  bsf     H'10',2
  call    _6142__vector
if_11842_by: ; 0060
; var H'018:000' sqx_temp_11877
; var H'019:000' sq_temp_11870

;; 074 : 	if (accumulator / (onetenth * 4)) >= 1 then
  movf    H'11',w
  movwf   H'26'
  movlw   H'50'
  movwf   H'27'
  call    _639__vector
  movf    H'28',w
  movwf   H'19'
  movf    H'19',w
  movwf   H'18'
  movlw   H'01'
  subwf   H'18',w
  btfss   H'03',0
  goto    if_11868_el
if_11868_th: ; 006D

;; 075 : 		pin_b3 = off
  bcf     H'10',3
  call    _6171__vector
  goto    if_11868_by
if_11868_el: ; 0070

;; 077 : 		pin_b3 = on
  bsf     H'10',3
  call    _6171__vector
if_11868_by: ; 0072
; var H'01A:000' sqx_temp_11903
; var H'01B:000' sq_temp_11896

;; 080 : 	if (accumulator / (onetenth * 5)) >= 1 then
  movf    H'11',w
  movwf   H'26'
  movlw   H'64'
  movwf   H'27'
  call    _639__vector
  movf    H'28',w
  movwf   H'1B'
  movf    H'1B',w
  movwf   H'1A'
  movlw   H'01'
  subwf   H'1A',w
  btfss   H'03',0
  goto    if_11894_el
if_11894_th: ; 007F

;; 081 : 		pin_b4 = off
  bcf     H'10',4
  call    _6200__vector
  goto    if_11894_by
if_11894_el: ; 0082

;; 083 : 		pin_b4 = on
  bsf     H'10',4
  call    _6200__vector
if_11894_by: ; 0084
; var H'01C:000' sqx_temp_11929
; var H'01D:000' sq_temp_11922

;; 086 : 	if (accumulator / (onetenth * 6)) >= 1 then
  movf    H'11',w
  movwf   H'26'
  movlw   H'78'
  movwf   H'27'
  call    _639__vector
  movf    H'28',w
  movwf   H'1D'
  movf    H'1D',w
  movwf   H'1C'
  movlw   H'01'
  subwf   H'1C',w
  btfss   H'03',0
  goto    if_11920_el
if_11920_th: ; 0091

;; 087 : 		pin_b5 = off
  bcf     H'10',5
  call    _6229__vector
  goto    if_11920_by
if_11920_el: ; 0094

;; 089 : 		pin_b5 = on
  bsf     H'10',5
  call    _6229__vector
if_11920_by: ; 0096
; var H'01E:000' sqx_temp_11955
; var H'01F:000' sq_temp_11948

;; 092 : 	if (accumulator / (onetenth * 7)) >= 1 then
  movf    H'11',w
  movwf   H'26'
  movlw   H'8C'
  movwf   H'27'
  call    _639__vector
  movf    H'28',w
  movwf   H'1F'
  movf    H'1F',w
  movwf   H'1E'
  movlw   H'01'
  subwf   H'1E',w
  btfss   H'03',0
  goto    if_11946_el
if_11946_th: ; 00A3

;; 093 : 		pin_b6 = off
  bcf     H'10',6
  call    _6258__vector
  goto    if_11946_by
if_11946_el: ; 00A6

;; 095 : 		pin_b6 = on
  bsf     H'10',6
  call    _6258__vector
if_11946_by: ; 00A8
; var H'020:000' sqx_temp_11981
; var H'021:000' sq_temp_11974

;; 098 : 	if (accumulator / (onetenth * 8)) >= 1 then
  movf    H'11',w
  movwf   H'26'
  movlw   H'A0'
  movwf   H'27'
  call    _639__vector
  movf    H'28',w
  movwf   H'21'
  movf    H'21',w
  movwf   H'20'
  movlw   H'01'
  subwf   H'20',w
  btfss   H'03',0
  goto    if_11972_el
if_11972_th: ; 00B5

;; 099 : 		pin_b7 = off
  bcf     H'10',7
  call    _6287__vector
  goto    if_11972_by
if_11972_el: ; 00B8

;; 101 : 		pin_b7 = on
  bsf     H'10',7
  call    _6287__vector
if_11972_by: ; 00BA
; var H'022:000' sqx_temp_12007
; var H'023:000' sq_temp_12000

;; 104 : 	if (accumulator / (onetenth * 9)) >= 1 then
  movf    H'11',w
  movwf   H'26'
  movlw   H'B4'
  movwf   H'27'
  call    _639__vector
  movf    H'28',w
  movwf   H'23'
  movf    H'23',w
  movwf   H'22'
  movlw   H'01'
  subwf   H'22',w
  btfss   H'03',0
  goto    if_11998_el
if_11998_th: ; 00C7

;; 105 : 		pin_a0 = off
  bcf     H'0F',0
  call    _5910__vector
  goto    if_11998_by
if_11998_el: ; 00CA

;; 107 : 		pin_a0 = on
  bsf     H'0F',0
  call    _5910__vector
if_11998_by: ; 00CC
; var H'024:000' sqx_temp_12033
; var H'025:000' sq_temp_12026

;; 110 : 	if (accumulator / (onetenth * 10)) >= 1 then
  movf    H'11',w
  movwf   H'26'
  movlw   H'C8'
  movwf   H'27'
  call    _639__vector
  movf    H'28',w
  movwf   H'25'
  movf    H'25',w
  movwf   H'24'
  movlw   H'01'
  subwf   H'24',w
  btfss   H'03',0
  goto    if_12024_el
if_12024_th: ; 00D9

;; 111 : 		pin_a1 = off
  bcf     H'0F',1
  call    _5939__vector
  goto    if_12024_by
if_12024_el: ; 00DC

;; 113 : 		pin_a1 = on
  bsf     H'0F',1
  call    _5939__vector
if_12024_by: ; 00DE

;; 116 : 	delay_1ms( delay1ms )
  movlw   H'05'
  call    _9484__vector
  goto    w_12062_ag

;; 003 :   idle_loop: page goto idle_loop
as_12065_idle_loop: ; 00E1
  goto    as_12065_idle_loop
_9484__vector: ; 00E2

;; 435 : procedure delay_1ms( byte in x = 1 ) is
; var H'026:000' x
p_9484_delay_1ms: ; 00E2
  movwf   H'26'

;; 436 :    _delay_100us( x, 10, 1 )
  movf    H'26',w
  movwf   H'27'
  movlw   H'0A'
  movwf   H'28'
  movlw   H'01'
  goto    _8966__vector
e_9484_delay_1ms: ; 00E9
_8966__vector: ; 00E9

;; 283 : procedure _delay_100us( byte in x, byte in y, byte in z ) is
; var H'027:000' x
; var H'028:000' y
; var H'029:000' z
p_8966__delay_100us: ; 00E9
  movwf   H'29'

;; 337 :       var byte minus_one = -1
; var H'02A:000' minus_one
  movlw   H'FFFFFFFF'
  movwf   H'2A'

;; 339 :       var byte xx, yy
; var H'02B:000' xx
; var H'02C:000' yy

;; 343 :          local loop_x, loop_y, loop_z, loop_w
; const H'0F1' loop_w

;; 346 :       loop_z:
as_9159_loop_z: ; 00EC

;; 349 :          movfw y
  movf    H'28',w

;; 350 :          movwf yy
  movwf   H'2C'

;; 351 :       loop_y:
as_9156_loop_y: ; 00EE

;; 354 :          movfw x
  movf    H'27',w

;; 355 :          movwf xx
  movwf   H'2B'

;; 356 :       loop_x:
as_9153_loop_x: ; 00F0

;; 358 :          movlw inner_iterations
  movlw   H'17'

;; 360 :       loop_w:
as_9162_loop_w: ; 00F1

;; 361 :          addwf minus_one, w
  addwf   H'2A',w

;; 362 :          skpnc
  skpnc   

;; 363 :             goto loop_w
  goto    as_9162_loop_w

;; 366 :          decfsz xx, f
  decfsz  H'2B',f

;; 367 :          goto loop_x
  goto    as_9153_loop_x

;; 370 :          decfsz yy, f
  decfsz  H'2C',f

;; 371 :          goto loop_y
  goto    as_9156_loop_y

;; 374 :          decfsz z, f
  decfsz  H'29',f

;; 375 :          goto loop_z
  goto    as_9159_loop_z
e_8966__delay_100us: ; 00FA
  return  

;; 722 : procedure pin_b7'put( bit in x at _port_b_buffer : 7 ) is
p_6287__pin_b7__put_t: ; 00FB
_6287__vector: ; 00FB
; var H'010:007' x
p_6287_put: ; 00FB

;; 723 :    _port_b_flush
  goto    _5079__vector
e_6287_put: ; 00FC

;; 719 : procedure pin_b6'put( bit in x at _port_b_buffer : 6 ) is
p_6258__pin_b6__put_t: ; 00FC
_6258__vector: ; 00FC
; var H'010:006' x
p_6258_put: ; 00FC

;; 720 :    _port_b_flush
  goto    _5079__vector
e_6258_put: ; 00FD

;; 716 : procedure pin_b5'put( bit in x at _port_b_buffer : 5 ) is
p_6229__pin_b5__put_t: ; 00FD
_6229__vector: ; 00FD
; var H'010:005' x
p_6229_put: ; 00FD

;; 717 :    _port_b_flush
  goto    _5079__vector
e_6229_put: ; 00FE

;; 713 : procedure pin_b4'put( bit in x at _port_b_buffer : 4 ) is
p_6200__pin_b4__put_t: ; 00FE
_6200__vector: ; 00FE
; var H'010:004' x
p_6200_put: ; 00FE

;; 714 :    _port_b_flush
  goto    _5079__vector
e_6200_put: ; 00FF

;; 710 : procedure pin_b3'put( bit in x at _port_b_buffer : 3 ) is
p_6171__pin_b3__put_t: ; 00FF
_6171__vector: ; 00FF
; var H'010:003' x
p_6171_put: ; 00FF

;; 711 :   _port_b_flush
  goto    _5079__vector
e_6171_put: ; 0100

;; 707 : procedure pin_b2'put( bit in x at _port_b_buffer : 2 ) is
p_6142__pin_b2__put_t: ; 0100
_6142__vector: ; 0100
; var H'010:002' x
p_6142_put: ; 0100

;; 708 :    _port_b_flush
  goto    _5079__vector
e_6142_put: ; 0101

;; 704 : procedure pin_b1'put( bit in x at _port_b_buffer : 1 ) is
p_6113__pin_b1__put_t: ; 0101
_6113__vector: ; 0101
; var H'010:001' x
p_6113_put: ; 0101

;; 705 :    _port_b_flush
  goto    _5079__vector
e_6113_put: ; 0102

;; 701 : procedure pin_b0'put( bit in x at _port_b_buffer : 0 ) is
p_6084__pin_b0__put_t: ; 0102
_6084__vector: ; 0102
; var H'010:000' x
p_6084_put: ; 0102

;; 702 :    _port_b_flush
  goto    _5079__vector
e_6084_put: ; 0103

;; 685 : procedure pin_a1'put( bit in x at _port_a_buffer : 1 ) is
p_5939__pin_a1__put_t: ; 0103
_5939__vector: ; 0103
; var H'00F:001' x
p_5939_put: ; 0103

;; 686 :    _port_a_flush
  goto    _5056__vector
e_5939_put: ; 0104

;; 682 : procedure pin_a0'put( bit in x at _port_a_buffer : 0 ) is
p_5910__pin_a0__put_t: ; 0104
_5910__vector: ; 0104
; var H'00F:000' x
p_5910_put: ; 0104

;; 683 :    _port_a_flush
  goto    _5056__vector
e_5910_put: ; 0105
_5079__vector: ; 0105
p_5079__port_b_flush: ; 0105

;; 590 :    var volatile byte port_b at 6 = _port_b_buffer
; var H'006:000' port_b
  movf    H'10',w
  movwf   H'06'
e_5079__port_b_flush: ; 0107
  return  
_5056__vector: ; 0108
p_5056__port_a_flush: ; 0108

;; 587 :    var volatile byte port_a at 5 = _port_a_buffer
; var H'005:000' port_a
  movf    H'0F',w
  movwf   H'05'
e_5056__port_a_flush: ; 010A
  return  

;; 370 : procedure pin_a2_direction'put( bit in d at trisa : 2 ) is
p_3192__pin_a2_direction__put_t: ; 010B
_3192__vector: ; 010B
; var H'00D:002' d
p_3192_put: ; 010B

;; 371 :    _trisa_flush
  goto    _2764__vector
e_3192_put: ; 010C

;; 367 : procedure pin_a1_direction'put( bit in d at trisa : 1 ) is
p_3163__pin_a1_direction__put_t: ; 010C
_3163__vector: ; 010C
; var H'00D:001' d
p_3163_put: ; 010C

;; 368 :    _trisa_flush
  goto    _2764__vector
e_3163_put: ; 010D

;; 364 : procedure pin_a0_direction'put( bit in d at trisa : 0 ) is
p_3134__pin_a0_direction__put_t: ; 010D
_3134__vector: ; 010D
; var H'00D:000' d
p_3134_put: ; 010D

;; 365 :    _trisa_flush
  goto    _2764__vector
e_3134_put: ; 010E

;; 337 : procedure port_b_direction'put( byte in x at trisb ) is
p_2930__port_b_direction__put_t: ; 010E
_2930__vector: ; 010E
; var H'00E:000' x
p_2930_put: ; 010E
  movwf   H'0E'

;; 338 :    _trisb_flush
  goto    _2785__vector
e_2930_put: ; 0110
_2785__vector: ; 0110
p_2785__trisb_flush: ; 0110

;; 305 :       bank movfw trisb
  movf    H'0E',w

;; 306 :            tris  6
  tris    H'06'
e_2785__trisb_flush: ; 0112
  return  
_2764__vector: ; 0113
p_2764__trisa_flush: ; 0113

;; 298 :       bank movfw trisa
  movf    H'0D',w

;; 299 :            tris  5
  tris    H'05'
e_2764__trisa_flush: ; 0115
  return  
_639__vector: ; 0116

;; 067 : operator / ( byte in a, byte in b ) return byte is
; var H'026:000' a
; var H'027:000' b
p_639_divide: ; 0116
; var H'028:000'  return value

;; 068 :    var byte d = 0
; var H'029:000' d
  clrf    H'29'

;; 069 :    if b != 0 then
  movf    H'27',f
  btfsc   H'03',2
  goto    if_663_by
if_663_th: ; 011A

;; 070 :       while a >= b loop
w_688_ag: ; 011A
  movf    H'27',w
  subwf   H'26',w
  btfss   H'03',0
w_688_jb: ; 011D
  goto    w_688_be
w_688_bo: ; 011E

;; 071 :          a = a - b
  movf    H'27',w
  subwf   H'26',w
  movwf   H'26'

;; 072 :          d = d + 1
  incf    H'29',f
  goto    w_688_ag
w_688_be: ; 0123
if_663_by: ; 0123

;; 075 :    return d
  movf    H'29',w
  movwf   H'28'
e_639_divide: ; 0125
  return  

 END

; ********** variable mapping
; 05:0 : ;
;   port_a                         * 0587:22 \jal0450\lib\jpic.jal 
;   port_a                         * 0042:19 \jal0450\lib\jpic.jal 
; 05:2 : ;
;   pin_a2                         * 0088:19 \jal0450\lib\jpic.jal 
; 06:0 : ;
;   port_b                         * 0590:22 \jal0450\lib\jpic.jal 
; 0C:0 : ;
;    transfer_byte                   
;    transfer_bit                    
; 0D:0 : ;
;   d                              * 0364:33 \jal0450\lib\jpic.jal 
;   trisa                            0276:10 \jal0450\lib\jpic.jal 
; 0D:1 : ;
;   d                              * 0367:33 \jal0450\lib\jpic.jal 
; 0D:2 : ;
;   d                              * 0370:33 \jal0450\lib\jpic.jal 
; 0E:0 : ;
;   x                              * 0337:33 \jal0450\lib\jpic.jal 
;   trisb                            0277:10 \jal0450\lib\jpic.jal 
; 0F:0 : ;
;   x                              * 0682:23 \jal0450\lib\jpic.jal 
;   _port_a_buffer                   0580:10 \jal0450\lib\jpic.jal 
; 0F:1 : ;
;   x                              * 0685:23 \jal0450\lib\jpic.jal 
; 10:0 : ;
;   x                              * 0701:23 \jal0450\lib\jpic.jal 
;   _port_b_buffer                   0581:10 \jal0450\lib\jpic.jal 
; 10:1 : ;
;   x                              * 0704:23 \jal0450\lib\jpic.jal 
; 10:2 : ;
;   x                              * 0707:23 \jal0450\lib\jpic.jal 
; 10:3 : ;
;   x                              * 0710:23 \jal0450\lib\jpic.jal 
; 10:4 : ;
;   x                              * 0713:23 \jal0450\lib\jpic.jal 
; 10:5 : ;
;   x                              * 0716:23 \jal0450\lib\jpic.jal 
; 10:6 : ;
;   x                              * 0719:23 \jal0450\lib\jpic.jal 
; 10:7 : ;
;   x                              * 0722:23 \jal0450\lib\jpic.jal 
; 11:0 : ;
;   accumulator                      0031:10 main.jal 
; 12:0 : ;
;   sqx_temp_11790                   
; 13:0 : ;
;   sq_temp_11783                    
; 14:0 : ;
;   sqx_temp_11825                   
; 15:0 : ;
;   sq_temp_11818                    
; 16:0 : ;
;   sqx_temp_11851                   
; 17:0 : ;
;   sq_temp_11844                    
; 18:0 : ;
;   sqx_temp_11877                   
; 19:0 : ;
;   sq_temp_11870                    
; 1A:0 : ;
;   sqx_temp_11903                   
; 1B:0 : ;
;   sq_temp_11896                    
; 1C:0 : ;
;   sqx_temp_11929                   
; 1D:0 : ;
;   sq_temp_11922                    
; 1E:0 : ;
;   sqx_temp_11955                   
; 1F:0 : ;
;   sq_temp_11948                    
; 20:0 : ;
;   sqx_temp_11981                   
; 21:0 : ;
;   sq_temp_11974                    
; 22:0 : ;
;   sqx_temp_12007                   
; 23:0 : ;
;   sq_temp_12000                    
; 24:0 : ;
;   sqx_temp_12033                   
; 25:0 : ;
;   sq_temp_12026                    
; 26:0 : ;
;   a                                0067:14 jal rtl 
;   x                                0435:22 \jal0450\lib\jdelay.jal 
; 27:0 : ;
;   b                                0067:25 jal rtl 
;   x                                0283:25 \jal0450\lib\jdelay.jal 
; 28:0 : ;
;    return value                    0067:10 jal rtl 
;   y                                0283:36 \jal0450\lib\jdelay.jal 
; 29:0 : ;
;   d                                0068:13 jal rtl 
;   z                                0283:47 \jal0450\lib\jdelay.jal 
; 2A:0 : ;
;   minus_one                        0337:16 \jal0450\lib\jdelay.jal 
; 2B:0 : ;
;   xx                               0339:16 \jal0450\lib\jdelay.jal 
; 2C:0 : ;
;   yy                               0339:20 \jal0450\lib\jdelay.jal 

